[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json)](https://github.com/astral-sh/ruff)

This is a score tracker for an EDH ("Commander") group.

# Reading from a Google Sheet

Eventually, I'd want this application to be data-resilient enough to be the primary store of data. For now, though, I'm reading data in from a(n impressive!) Google Sheet maintained by my playgroup.

If you want to enable that syncing, you'll need to:

* Go to the [Google Cloud Console](https://console.cloud.google.com)
  * If you haven't got one already, create a Project
* Go to "IAM and admin > Service Accounts"
* Create a new Service Account
* Note the resultant email address, and share the Google Sheet with it

If you haven't used the Google Sheets API in your Project, you may need to enable it, at `console.cloud.google.com/apis/library/sheets.googleapis.com?project=<your_project_slug>`
